Bug 681916 (CVE-2011-1096) - CVE-2011-1096 jbossws: Prone to character encoding pattern attack (XML Encryption flaw)
Summary: CVE-2011-1096 jbossws: Prone to character encoding pattern attack (XML Encryp...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-1096
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 745407 (view as bug list)
Depends On: 757636 855247 855248 855249 910980 910981
Blocks: 713551 745417 789173 835396 849517
TreeView+ depends on / blocked
 
Reported: 2011-03-03 15:22 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:43 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-26 21:03:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1330 normal SHIPPED_LIVE Important: JBoss Enterprise SOA Platform 5.3.0 security update 2012-10-03 19:08:59 UTC
Red Hat Product Errata RHSA-2012:1344 normal SHIPPED_LIVE Important: JBoss Enterprise Portal Platform 5.2.2 security update 2012-10-08 20:42:36 UTC
Red Hat Product Errata RHSA-2013:0191 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:30:08 UTC
Red Hat Product Errata RHSA-2013:0192 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:28:23 UTC
Red Hat Product Errata RHSA-2013:0193 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:42:29 UTC
Red Hat Product Errata RHSA-2013:0194 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 5.2.0 update 2013-01-24 23:08:14 UTC
Red Hat Product Errata RHSA-2013:0195 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:41:24 UTC
Red Hat Product Errata RHSA-2013:0196 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:55:46 UTC
Red Hat Product Errata RHSA-2013:0197 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-24 23:54:22 UTC
Red Hat Product Errata RHSA-2013:0198 normal SHIPPED_LIVE Important: JBoss Enterprise Web Platform 5.2.0 update 2013-01-25 00:07:17 UTC
Red Hat Product Errata RHSA-2013:0221 normal SHIPPED_LIVE Important: JBoss Enterprise BRMS Platform 5.3.1 update 2013-02-01 01:23:18 UTC
Red Hat Product Errata RHSA-2013:0261 normal SHIPPED_LIVE Important: JBoss Enterprise Application Platform 4.3.0 CP10 security update 2013-02-14 23:31:29 UTC
Red Hat Product Errata RHSA-2013:0569 normal SHIPPED_LIVE Important: JBoss Web Services security update 2013-02-26 23:16:10 UTC

Description Jan Lieskovsky 2011-03-03 15:22:49 UTC
Tibor Jager, Juraj Somorovsky, Meiko Jensen, and Jorg Schwenk
described an attack technique against W3C XML Encryption Standard,
when the block ciphers were used in cipher-block chaining (CBC)
mode of operation. A remote attacker, aware of a cryptographic
weakness of the CBC mode could use this flaw to conduct
chosen-ciphertext attacks, leading to the recovery of the entire
plaintext of a particular cryptogram by examining of the differences
between SOAP responses, sent from JBossWS, J2EE Web Services server.

Acknowledgements:

Red Hat would like to thank Juraj Somorovsky of Ruhr-University Bochum
for reporting this issue.

Comment 12 Jan Lieskovsky 2011-03-09 15:52:27 UTC
The CVE identifier of CVE-2011-1096 has been assigned to this issue.

Comment 46 Jan Lieskovsky 2011-11-18 17:45:01 UTC
*** Bug 745407 has been marked as a duplicate of this bug. ***

Comment 48 David Jorm 2012-03-12 02:43:19 UTC
This issue is now resolved in JBoss AS 7.1.1.Final.

Comment 53 Murray McAllister 2012-10-03 07:11:19 UTC
When a fix is made available for the product you are using, the fix will
not be automatically applied. After installing the fix, configure your
applications that use WS-Security encryption to use GCM-based algorithms by
editing their WSDL file. The following example uses an AES-128 Algorithm
with GCM mode:

<sp:AlgorithmSuite>
    <wsp:Policy>
        <sp-cxf:Basic128GCM xmlns:sp-cxf="http://cxf.apache.org/custom/security-policy"/>
    </wsp:Policy>
</sp:AlgorithmSuite>

For JBoss Enterprise Application 4.3.0 and other JBoss 4.x products, you should instead update the encrypt element of all jboss-ws-security configuration to specify a GCM algorithm. The following is an example directive: 

<encrypt type="x509v3" algorithm="aes-128-gcm" alias="wsse" />

Comment 54 errata-xmlrpc 2012-10-03 15:10:12 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 5.3.0

Via RHSA-2012:1330 https://rhn.redhat.com/errata/RHSA-2012-1330.html

Comment 55 errata-xmlrpc 2012-10-08 16:43:41 UTC
This issue has been addressed in following products:

  JBoss Enterprise Portal Platform 5.2.2

Via RHSA-2012:1344 https://rhn.redhat.com/errata/RHSA-2012-1344.html

Comment 56 errata-xmlrpc 2013-01-24 18:08:51 UTC
This issue has been addressed in following products:

  JBoss Enterprise Application Platform 5.2.0

Via RHSA-2013:0194 https://rhn.redhat.com/errata/RHSA-2013-0194.html

Comment 57 errata-xmlrpc 2013-01-24 18:32:08 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 5

Via RHSA-2013:0192 https://rhn.redhat.com/errata/RHSA-2013-0192.html

Comment 58 errata-xmlrpc 2013-01-24 18:32:54 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 6

Via RHSA-2013:0191 https://rhn.redhat.com/errata/RHSA-2013-0191.html

Comment 59 errata-xmlrpc 2013-01-24 18:45:12 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 6

Via RHSA-2013:0195 https://rhn.redhat.com/errata/RHSA-2013-0195.html

Comment 60 errata-xmlrpc 2013-01-24 18:45:57 UTC
This issue has been addressed in following products:

  JBEAP 5 for RHEL 4

Via RHSA-2013:0193 https://rhn.redhat.com/errata/RHSA-2013-0193.html

Comment 61 errata-xmlrpc 2013-01-24 18:58:12 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 4

Via RHSA-2013:0197 https://rhn.redhat.com/errata/RHSA-2013-0197.html

Comment 62 errata-xmlrpc 2013-01-24 18:59:04 UTC
This issue has been addressed in following products:

  JBEWP 5 for RHEL 5

Via RHSA-2013:0196 https://rhn.redhat.com/errata/RHSA-2013-0196.html

Comment 63 errata-xmlrpc 2013-01-24 19:07:53 UTC
This issue has been addressed in following products:

  JBoss Enterprise Web Platform 5.2.0

Via RHSA-2013:0198 https://rhn.redhat.com/errata/RHSA-2013-0198.html

Comment 64 errata-xmlrpc 2013-01-31 20:30:48 UTC
This issue has been addressed in following products:

  JBoss Enterprise BRMS Platform 5.3.1

Via RHSA-2013:0221 https://rhn.redhat.com/errata/RHSA-2013-0221.html

Comment 65 errata-xmlrpc 2013-02-14 18:32:51 UTC
This issue has been addressed in following products:

 JBoss Enterprise Application Platform 4.3.0 CP10

Via RHSA-2013:0261 https://rhn.redhat.com/errata/RHSA-2013-0261.html

Comment 66 errata-xmlrpc 2013-02-26 18:19:12 UTC
This issue has been addressed in following products:

  JBoss Enterprise SOA Platform 4.3 CP05
  JBoss Enterprise Portal Platform 4.3 CP07

Via RHSA-2013:0569 https://rhn.redhat.com/errata/RHSA-2013-0569.html


Note You need to log in before you can comment on or make changes to this bug.